:root{
 /*--primary-color:#E60000;*/
    --primary-color:#ef7c48;

    --primary-hover:#CC0000;

    --dark-color:#000000;

    --text-color:#1A1A1A;

    --secondary-text:#6C757D;

    --background-color:#F8F9FA;

    --border-color:#D9D9D9;

}


body{

    background-color:var(--background-color);

    color:var(--text-color);

    font-family:'Poppins',sans-serif;
  line-height:1.7;
}



/*---------------Top Bar-----------------------*/
.top-bar{

    background:#034486;

    color:white;

    font-size:12px;

    padding:8px 0;

}

.top-bar i{

    color:#ef7c48;

    margin-right:2px;

}

.top-bar .container-fluid{

    display:flex;
    align-items:center;
    gap:0px;
}

.top-bar a{

    color:white;

    text-decoration:none;

}

.top-bar a:hover{

    color:#ef7c48;

}


/*-----------Top Header--------------*/
.top-header{

    padding:5px 0;

    border-bottom:4px solid #ef7c48;

    background:linear-gradient(
        135deg,
        #124179,
        #4F78C4,
        #dfe6f1
    );

    background-size:300% 300%;

    animation:headerBackground 10s ease infinite;

}

@keyframes headerBackground{

    0%{
        background-position:0% 50%;
    }

    50%{
        background-position:100% 50%;
    }

    100%{
        background-position:0% 50%;
    }

}

.institute-name{

    font-size:36px;

    font-weight:700;

    animation:nameColor 5s linear infinite;
	margin-top:0;
    margin-bottom:0px;
	  text-shadow: 2px 2px 8px rgba(0,0,0,.3);

}

@keyframes nameColor{

    0%{

        color:#ef7c48;

    }

    50%{

        color:white;

    }

    100%{

        color:#ef7c48;

    }

}

.institute-subtitle{
    color:white;
    font-size:12px;
    font-weight:0;
    margin-bottom:0;
	margin-top:3px;
    margin-bottom:0;

    animation: subtitleGlow 8s infinite alternate;
}
@keyframes subtitleGlow{

    0%{
        color:#ffffff;
    }

    50%{
        color:#f5f5f5;
    }

    100%{
        color:#ffffff;
    }

}

/*--------Header - Logo----------*/
.header-logo{

    width:100px;

    height:110px;

    object-fit:contain;

    border-radius:50%;

    /*border:3px solid rgba(255,255,255,.3);*/
	 animation:floatLogo 4s ease-in-out infinite;
	  box-shadow:0 4px 20px rgba(0,0,0,.25);

}

@keyframes floatLogo{

    0%{
        transform:translateY(0);
    }

    50%{
        transform:translateY(-8px);
    }

    100%{
        transform:translateY(0);
    }

}

.header-logo:hover{

    transform:scale(1.08);

    transition:.4s;

}


.square-logo{

    width:160px;

    height:100px;

    object-fit:c;

    border-radius:12px;

    border:3px solid rgba(255,255,255,.3);

    animation:floatLogo 4s ease-in-out infinite;

    box-shadow:0 4px 20px rgba(0,0,0,.25);

    background:white;

    padding:5px;
	margin-left:-50px;

}


/*--------------Titles ----------------------*/
.title-section {
    flex: 1;
    text-align: center;
color:#d66305;
}



.header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo-section {
    width: 120px;
    text-align: center;
}


/*-----------------Nav Bar------------------------*/
.main-navbar{

    background:#2866a3;

    border-top:1px solid rgba(255,255,255,.15);

    border-bottom:1px solid rgba(255,255,255,.15);

    box-shadow:0 2px 10px rgba(0,0,0,.08);
	 position:sticky;

    top:0;

    z-index:1000;

}

.main-navbar .nav-link{

    color:white !important;

    font-size:15px;

    font-weight:200;

    padding:5px 20px !important;

    position:relative;

    transition:.3s;

}

.main-navbar .nav-link::after{

    content:'';

    position:absolute;

    left:0;

    bottom:0;

    width:0;

    height:3px;

    background:var(--primary-color);

    transition:.3s;

}

.main-navbar .nav-link:hover{

    color:var(--primary-color)!important;

}

.main-navbar .nav-link:hover::after{

    width:100%;

}

.main-navbar .nav-link.active{

    color:var(--primary-color)!important;

    font-weight:200;

}

.main-navbar .nav-link.active::after{

    width:100%;

}




/*------Banner----------*/
.banner-img{
    width:100%;
    height:400px;
    object-fit:cover;
}

/*---------Announcement box----------------*/
/*.announcement-box{
    background:#fff;
    border-radius:0px;
    padding:15px;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
    height:400px;
    overflow-y:auto;
}*/
.announcement-box{
    background:white;
    height:400px;
    overflow:hidden;
    box-shadow:0 3px 15px rgba(0,0,0,.12);
}

.notification-title{

    color:#034486;

    font-size:24px;

    font-weight:700;

    margin-bottom:15px;

}

.notification-header{
    background:#2866a3;
    color:white;
    font-size:22px;
    font-weight:600;
    padding:10px;
	height:10px:
}

.notification-header i{
    margin-right:8px;
}



.custom-tabs{
    background:#2866a3;
    display:flex;
    margin-bottom:0;
}

.custom-tabs .nav-item{
    flex:1;
}

.custom-tabs .nav-link.active{
    background:#d66305 !important;
    color:white !important;
}


.custom-tabs .nav-link{
    width:100%;
    color:white !important;
    border:none;
    border-radius:0;
    padding:12px;
    font-size:15px;
    background:#F9B383;
}

.custom-tabs .nav-link i{
    margin-right:5px;
}

/*---------For scrolling of Announcement--------------888*/
.notice-scroll {
    height: 320px;
    overflow: hidden;
    position: relative;
}

.notice-track {
    display: flex;
    flex-direction: column;
    gap: 12px;
    animation: scrollNotice 12s linear infinite;
}

@keyframes scrollNotice {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(-50%);
    }
}

.notice-scroll:hover .notice-track{

    animation-play-state:paused;

}




.notice-card{

    background:white;

    border-radius:10px;

    display:flex;

    align-items:center;

    margin-bottom:12px;

    box-shadow:0 2px 8px rgba(0,0,0,.08);

    overflow:hidden;

}


.notice-date{

    background:#ef7c48;

    color:white;

    width:65px;

    text-align:center;

    padding:12px 5px;

    font-size:13px;

    font-weight:600;

}


.notice-content{

    flex:1;

    padding:15px;

    font-size:14px;

}


/*-------------About box----------------------*/
.about-box{
    background:#fff8f4;
    padding:35px;
    border-radius:15px;
    box-shadow:0 2px 15px rgba(0,0,0,.08);
}

.section-title{
    color:#ef7c48;
    font-weight:bold;
    margin-bottom:20px;
}


/*-------------Buttons------------------*/
.btn-primary{

    background:#ef7c48;

    color:white;

    border:none;

    padding:12px 35px;

    min-width:100px;

    border-radius:50px;

    font-size:16px;

    font-weight:600;

    transition:.3s;

}

.btn-primary:hover{

    background:#d66305;

    color:white;

    transform:translateY(-3px);

    box-shadow:0 5px 15px rgba(0,0,0,.15);

}


/*--------------------Tabs------------------------------*/
.nav-tabs{

    border:none;

    gap:10px;

}

.nav-tabs .nav-link{

    background:#f9b38e;

    color:white;

    border:none;

    border-radius:8px 8px 0 0;

    padding:10px 25px;

    font-weight:500;

    transition:.3s;

}

.nav-tabs .nav-link:hover{

    background:#ef7c48;

    color:white;

}

.nav-tabs .nav-link.active{

    background:#d66305;

    color:white;

}


/*-------------------Gallery----------------------*/
.gallery-image{
    width:100%;
    height:280px;
    object-fit:cover;
    border-radius:12px;
    transition:0.3s;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
}

.gallery-image:hover{
    transform:scale(1.03);
}


/*------------------gallery card-----------------------*/
.image-modal{
    display:none;
    position:fixed;
    z-index:9999;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.9);
    justify-content:center;
    align-items:center;
}

.image-modal img{
    max-width:90%;
    max-height:90%;
    border-radius:10px;
}

.close-btn{
    position:absolute;
    top:20px;
    right:35px;
    color:white;
    font-size:40px;
    cursor:pointer;
}


/*latest News, events, blogs Card*/
.news-card{
    background:#fff;
    border-radius:10px;
    overflow:hidden;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
    transition:0.3s;
    height:100%;
	 width:100%;
}

.news-card:hover{
    transform:translateY(-5px);
}

.news-card img{
    height:180px;
    object-fit:cover;
}

.card-body{
    padding:15px;
}

.news-date{
    color:#777;
    font-size:14px;
}

.news-card p{
    height:80px;
    overflow:hidden;
}

.news-card-link{
    display:block;
    text-decoration:none !important;
    color:inherit !important;
}

.news-card-link:hover{
    color:inherit !important;
    text-decoration:none !important;
}

.news-card{
    cursor:pointer;
}

.news-image{
    position:relative;
}

.category-badge{
    position:absolute;
    top:12px;
    left:12px;
    background:#ef7c48;
    color:white;
    padding:5px 12px;
    border-radius:20px;
    font-size:12px;
    font-weight:500;
    z-index:10;
}

.news-date{
    color:#999;
    font-size:13px;
    margin-bottom:10px;
}

.news-date i{
    margin-right:6px;
    color:#bbb;
}



/*-------------------Contact---------------------------*/
.contact-form-box{
    background:#fff;
    padding:25px;
    border-radius:12px;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
height: 100%;
}

.contact-info{
    background:#fff5ef;
    padding:65px;
    border-radius:12px;
    box-shadow:0 2px 10px rgba(0,0,0,.1);
height: 100%;
}

.contact-info h4{
    color:#ef7c48;
    font-size:18px;
}

.contact-info p{
    margin-bottom:15px;
}

.contact-form-box h3{
    color:#0B3D91;
}


.map-box{
    background:#fff;
width="100%";
height="400";
    padding:20px;
    border-radius:12px;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
}
.map-box iframe{
    width:100%;
    border-radius:12px;
}

.contact-icon{
    width:30px;
    height:30px;
    display:inline-flex;
    justify-content:center;
    align-items:center;
    background:rgba(239,124,72,.15);
    border-radius:12px;
    margin-right:5px;
}

.contact-icon i{
    color:#ef7c48;
    font-size:18px;
}

.contact-item{
    margin-bottom:25px;
}

.contact-item:last-child{
    margin-bottom:0;
}

.contact-icons{
    display:flex;
    gap:12px;
    margin-top:15px;
}

.contact-icons a{
    width:40px;
    height:40px;
    background:rgba(239,124,72,.15);
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    text-decoration:none;
    transition:.3s;
}

.contact-icons a i{
    color:#ef7c48;
    font-size:16px;
}

.contact-icons a:hover{
    background:#ef7c48;
}

.contact-icons a:hover i{
    color:white;
}

/*----------------News - Media----------------------*/
.media-card-link{
    text-decoration:none;
    color:inherit;
    display:block;
}

.media-card-link:hover{
    color:inherit;
}


.media-card {
    background: #fff;
    border-radius: 22px;
    overflow: hidden;
    cursor: pointer;
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    transition: 0.3s;
}

.media-card img{
    height:180px;
    object-fit:cover;
	 width: 100%;
}

.media-card .card-body {
    padding: 15px;
    flex: 1;
}

.category-badge{
    background:#ef7c48;
    color:white;
    border-radius:20px;
    padding:7px 12px;
}

.filter-btn{
    background:#ffd9c8;
    color:#ef7c48;
    border:none;
}

.filter-btn:hover{
    background:#ef7c48;
    color:white;
}

.filter-active{
    background:#ef7c48;
    color:white;
    border:none;
}

.news-date{
    color:#999;
    font-size:14px;
    margin-top:15px;
}

.news-date i{
    margin-right:5px;
}



/*------------------news - Media detail page ------------------*/
.news-detail-box{
    background:#fff;
    padding:30px;
    border-radius:12px;
    box-shadow:0 2px 10px rgba(0,0,0,0.1);
}

.news-detail-image{
    width:100%;
    max-height:500px;
    object-fit:cover;
    border-radius:10px;
    margin-top:20px;
}

.news-description{
    font-size:16px;
    line-height:1.8;
    text-align:justify;
}


.category-badge{
    background:#ef7c48;
    color:white;
    font-size:13px;
    padding:7px 12px;
    border-radius:20px;
}

.filter-btn{
    background:#ffd9c8;
    color:#ef7c48;
    border:none;
    font-weight:500;
}

.filter-btn:hover{
    background:#ef7c48;
    color:white;
}

.filter-active{
    background:#ef7c48;
    color:white;
    border:none;
}





/*---------------FOOTER---------------*/

.footer{

    background:#111;

    color:white;

    padding:60px 0 20px;

    margin-top:80px;

}

.footer h4,
.footer h5{

    color:white;

    margin-bottom:20px;

}

.footer p{

    color:#bbb;

    line-height:1.8;

}

.footer a{

    color:#bbb;

    text-decoration:none;

}

.footer a:hover{

    color:var(--primary-color);

}

.footer .row > div{
    padding-right:25px;
    padding-left:25px;
}

.social-icons{

    display:flex;

    gap:15px;

}

/* Facebook */
.social-icons a:nth-child(1) {
    background: #1877F2;
}

/* Instagram */
.social-icons a:nth-child(2) {
    background: #E4405F;
}

/* LinkedIn */
.social-icons a:nth-child(3) {
    background: #0A66C2;
}

/* Twitter/X */
.social-icons a:nth-child(4) {
    background: #000000;
}

/* YouTube */
.social-icons a:nth-child(5) {
    background: #FF0000;
}


.social-icons a {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    color: white;
    transition: 0.3s;
}

.social-icons a:hover {
    transform: translateY(-5px) scale(1.1);
    opacity: 0.9;
}


/* ================= BACK TO TOP ================= */

.back-to-top{
    position: fixed;
    bottom: 25px;
    right: 25px;
    width: 50px;
    height: 50px;
    border: none;
    border-radius: 50%;
    background: #0d6efd;
    color: #fff;
    font-size: 22px;
    cursor: pointer;
    display: none;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 12px rgba(0,0,0,.25);
    transition: all .3s ease;
    z-index: 9999;
}

.back-to-top:hover{
    background: #084298;
    transform: translateY(-4px);
}



/*================Image size for latest-updates detail page AND news-media detail page========================*/
.detail-image{
    width:100%;
    max-height:450px;
    object-fit:contain;
    background:#f5f5f5;
}

@media (max-width:768px){
    .detail-image{
        height:250px;
    }
}